# Project: AlwaysOnTop
# Makefile created by Dev-C++ 4.9.9.2

CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = 
OBJ  = WindowOnTop.o $(RES)
LINKOBJ  = WindowOnTop.o $(RES)
LIBS =  -L"C:/Dev-Cpp/lib" --no-export-all-symbols --add-stdcall-alias  
INCS =  -I"C:/Dev-Cpp/include"  -I"C:/j2sdk1.4.2_01/include"  -I"C:/j2sdk1.4.2_01/include/win32" 
CXXINCS =  -I"C:/Dev-Cpp/lib/gcc/mingw32/3.4.2/include"  -I"C:/Dev-Cpp/include/c++/3.4.2/backward"  -I"C:/Dev-Cpp/include/c++/3.4.2/mingw32"  -I"C:/Dev-Cpp/include/c++/3.4.2"  -I"C:/Dev-Cpp/include"  -I"C:/j2sdk1.4.2_01/include"  -I"C:/j2sdk1.4.2_01/include/win32" 
BIN  = RCtrlFrameOnTop.dll
CXXFLAGS = $(CXXINCS) -DBUILDING_DLL=1  
CFLAGS = $(INCS) -DBUILDING_DLL=1  
RM = rm -f

.PHONY: all all-before all-after clean clean-custom

all: all-before RCtrlFrameOnTop.dll all-after


clean: clean-custom
	${RM} $(OBJ) $(BIN)

DLLWRAP=dllwrap.exe
DEFFILE=libRCtrlFrameOnTop.def
STATICLIB=libRCtrlFrameOnTop.a

$(BIN): $(LINKOBJ)
	$(DLLWRAP) --output-def $(DEFFILE) --driver-name c++ --implib $(STATICLIB) $(LINKOBJ) $(LIBS) -o $(BIN)

WindowOnTop.o: WindowOnTop.cpp
	$(CPP) -c WindowOnTop.cpp -o WindowOnTop.o $(CXXFLAGS)
